"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const prepare_data_1 = require("../data/prepare-data");
class PrepareDataService {
    constructor($mobileHelper) {
        this.$mobileHelper = $mobileHelper;
    }
    getPrepareData(projectDir, platform, data) {
        const platformLowerCase = platform.toLowerCase();
        if (this.$mobileHelper.isiOSPlatform(platform)) {
            return new prepare_data_1.IOSPrepareData(projectDir, platformLowerCase, data);
        }
        else if (this.$mobileHelper.isAndroidPlatform(platform)) {
            return new prepare_data_1.AndroidPrepareData(projectDir, platformLowerCase, data);
        }
    }
}
exports.PrepareDataService = PrepareDataService;
$injector.register("prepareDataService", PrepareDataService);
